<?
session_start();
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');

mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
$info = mysql_fetch_array($result);
$cursos_do_vestibular = $info["cursos"];
$gera_sql = split(",",$cursos_do_vestibular);
$i = 0;
$retorna = 1;
$primeiro = 0;
$sql_cursos = "SELECT * FROM cursos where ";
while ($retorna == 1) {
	if ($gera_sql[$i] == '') {
		$retorna = 0;
	}
	else {
		if ($primeiro == 0) {
			$primeiro = 1;
		}
		else {
			$sql_cursos .= ' or ';
		}
		$sql_cursos .= 'codigo = ' . $gera_sql[$i] . ' ';
	}
	$i++;
}
$sql_cursos .= 'ORDER by codigo_curso ASC';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Cursos</title>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<br>
<br>
<table width="80%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<div align="center"><strong><font face="Verdana" size="2" color="#800000">Resultado Final do Processo Seletivo</font></strong><br>
		<?
			if (!isset($curso)) {
		?>
		<font face="Verdana" size="2" color="#FF0000">Escolha o <strong>CURSO</strong> que deseja visualizar resultado final</font></div>
		<?
			}
			else {
				if ((!isset($materia)) && (isset($curso))) {
			?>
			<?
				$sql_curso = "Select * from cursos where codigo = $curso";
				$result_curso = mysql_query($sql_curso)
					or die ( 'Não foi possível executar a query 161.' );
				$info_curso = mysql_fetch_array($result_curso);
				$curso_texto = $info_curso["nome_curso"];
			?>
			<font face="Verdana" size="2" color="#FF0000"><strong><font color="#000000">Curso de </font><? echo $curso_texto; ?></strong></font></div>
			<?
				}
				else {
			?>
			<?
				}
			}
		?>
	</td>
</tr>
</table>
<?
	if (!isset($curso)) {
		// Escolha do Curso 
		$sql = $sql_cursos;
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center>Não existe nenhum curso cadastrado no Sistema!!!</center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">';
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td>';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo_curso"] . '</font>';
					echo '</td>';
					echo '<td>';
						echo '<a href="processo_seletivo.php?curso=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["nome_curso"]. '</font></a>';
					echo '</td>';
				echo '</tr>';
			}
			echo '</table>';
		}
}
else {
	if (!isset($tipo)) {
			$sql = "SELECT * FROM resultado_final where curso = '$curso' and codigo_vest = '$qual_vestibular'";
			if (!isset($ordem)) {
				$sql .= " order by matricula ASC";
			}
			if ($ordem == 1 ){
				$sql .= " order by matricula ASC";
			}
			if ($ordem == 2 ){
				$sql .= " order by nome_candidato ASC";
			}
			if ($ordem == 3 ){
				$sql .= " order by total_final DESC";
			}
			if ($ordem == 4 ){
				$sql .= " order by redacao DESC";
			}
			if ($ordem == 5 ){
				$sql .= " order by situacao DESC";
			}
			//echo $sql;
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
	}
	else {
		$num = 1;
	}
	if ($num == 0 ) {
			echo '<br><br><center><font face="Verdana" size="2" color="#FF0000"><strong>Curso não processado até o momento!!!</strong></font></center>';

		exit;
	}
	else {
		
		//
		//
		// Atualizando situacao do candidato
		//
		//
		if (isset($tipo)) {
			if ($tipo == 2) {
				$sql = "SELECT * FROM resultado_final where codigo = $cod_interno";
				$result = mysql_query($sql)
					or die ( 'Não foi possível executar a query 161.' );
				$num = mysql_num_rows($result);
				if ( $num == 0 ) {
					echo 'Candidado não encontrado1';
					exit;
				}
				while($info = mysql_fetch_array($result)) {
					$total_anterior = $info["total"]; 
					$total_final = $total_anterior + ( 3 * $sit_novo );
					$situacao = $info["situacao"];
				}
				echo $situacao;


				$sql = "SELECT * FROM resultado_parcial where matricula = '$matricula' and cod_materia = '1'";
				$result = mysql_query($sql)
					or die ( 'Não foi possível executar a query 161.' );
				$num = mysql_num_rows($result);
				if ( $num == 0 ) {
					echo 'Candidado não encontrado1';
					exit;
				}
				while($info = mysql_fetch_array($result)) {
					$ponto_pt =  $info["pontuacao"];
				}
				$total_pt = ($ponto_pt + $sit_novo) * 3;
				
				// ALTERADO PARA NAO DESCLASSIFICAR CANDIDATO COM MENOR QUE 30 NO TOTAL PORT+REDACAO
				if ($total_pt < 0 )  //($total_pt < 30 )
					$situacao = 0;
				else {
				$sql = "SELECT * FROM resultado_parcial where matricula = '$matricula'";
				$result = mysql_query($sql)
					or die ( 'Não foi possível executar a query 161.' );
				$num = mysql_num_rows($result);
				if ( $num == 0 ) {
					echo 'Candidado não encontrado1';
					exit;
				}
				$situacao = 1;
				while($info = mysql_fetch_array($result)) {
					if ($info["pontuacao"] == 0 )
						$situacao = 0;
				}
				}


				mysql_query("update resultado_final set total_final=$total_final, redacao=$sit_novo, situacao = '$situacao' where codigo = $cod_interno")
			or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
			}


			if ($tipo == 1) {
				if (($sit_novo > 4) || ($sit_novo < 0)) {
				}
				else {
					mysql_query("update resultado_final set situacao='$sit_novo' where codigo = $cod_interno")
						or die ( 'Não foi possivel efetuar a alteracao dos dados da ficha.' );
				}
			}



			$sql = "SELECT * FROM resultado_final where curso = '$curso' and codigo_vest = '$qual_vestibular'";
			if (!isset($ordem)) {
				$sql .= " order by matricula ASC";
			}
			if ($ordem == 1 ){
				$sql .= " order by matricula ASC";
			}
			if ($ordem == 2 ){
				$sql .= " order by nome_candidato ASC";
			}
			if ($ordem == 3 ){
				$sql .= " order by total_final DESC";
			}
			if ($ordem == 4 ){
				$sql .= " order by redacao DESC";
			}
			if ($ordem == 5 ){
				$sql .= " order by situacao DESC";
			}

			$result = mysql_query($sql)
				or die ( 'Não foi possível executar a query 161.' );

		}
		
		
		echo '<br>';
		echo '<table width="90%" border="0" cellspacing="0" cellpadding="0" align="center">';
			echo '<tr>';
				echo '<td>';
					echo '<font color = "000000" face="verdana" size="2"><strong>Situação Final:</strong> <br>';
					echo '<li>[ 0 ] - Desclassificado</li>';
					echo '<li>[ 1 ] - Classificado</li>';
					echo '<li>[ 2 ] - Desistente</li>';
					echo '<li>[ 3 ] - Excedente</li>';
					echo '<li>[ 4 ] - Matriculado</li></font>';
					echo '<br><br>';
					echo '<div align="center"><font face="Verdana" size="2" color="#FF0000"><strong>Se não foi gerada a classificação final ainda clique aqui para gera-la.</strong></font></div>';
				echo '</td>';
			echo '</tr>';
		echo '</table>';
		echo '<br>&nbsp;';
		echo '<form action="atualiza_redacao.php" method="post">';
		echo '<table width="98%" border="1" cellspacing="0" cellpadding="0" align="center">';
			echo '<tr>';
				echo '<td align="center" width="10%">';
					echo '<a href="processo_seletivo.php?curso='.$curso.'&ordem=1"><font face="Verdana" size="2" color="#000000"><strong>Matrícula</strong></font></a>';
				echo '</td>';
				echo '<td align="center" width="40%">';
					echo '<a href="processo_seletivo.php?curso='.$curso.'&ordem=2"><font face="Verdana" size="2" color="#000000"><strong>Candidato</strong></font><a/>';
				echo '</td>';
				echo '<td align="center" width="10%">';
					echo '<a href="processo_seletivo.php?curso='.$curso.'&ordem=3"><font face="Verdana" size="2" color="#000000"><strong>Pontuação</strong></font><a/>';
				echo '</td>';
				echo '<td align="center" width="20%">';
					echo '<font face="Verdana" size="2" color="#000000"><strong>Redação</strong></font>';
				echo '</td>';
				echo '<td align="center" width="20%">';
					echo '<a href="processo_seletivo.php?curso='.$curso.'&ordem=5"><font face="Verdana" size="2" color="#000000"><strong>Situação Final</strong></font><a/>';
				echo '</td>';
			echo '</tr>';
		$odon = 1;
		$interno_redacao = 0;
		while($info = mysql_fetch_array($result)) {
			echo '<tr>';
				echo '<td align="center">';
					//echo $odon . ' - <font color="red" face="verdana" size="2">' . $info["matricula"] . '</font>';
					echo '<font color="red" face="verdana" size="2">' . $info["matricula"] . '</font>';
				echo '</td>';
				echo '<td align="center">';
				/*	$matricula = $info["matricula"];
					$sql_aux = "SELECT * FROM candidato where codigo = $matricula";
					$result_aux = mysql_query($sql_aux)
						or die ( 'Não foi possível executar a query 161.' );
					$info_aux = mysql_fetch_array($result_aux);
				*/
					echo '<font color="000000" face="verdana" size="2"><b>' . $info["nome_candidato"] . '</font></b>';
				echo '</td>';
				echo '<td align="center">';
					echo '<font color="red" face="verdana" size="2">' .$info["total_final"] . '</font>';
				echo '</td>';
				echo '<td align="center" valign="top">';
					echo '<br>';
					// Redacao
					/*echo '<form action="processo_seletivo.php" method="post">';
						echo '<input type="text" name="sit_novo" size="3" maxlength="4" value="'. $info["redacao"] .'">';
						echo '<input type="hidden" name="cod_interno" value="' . $info["codigo"] .'">';
						echo '<input type="hidden" name="curso" value="' . $curso .'">';
						echo '<input type="hidden" name="matricula" value="' . $info["matricula"] .'">';
						echo '<input type="hidden" name="tipo" value="2">';
						if (isset($ordem)) {
							echo '<input type="hidden" name="ordem" value="' . $ordem .'">';
						}
						echo '&nbsp;&nbsp;<input type="submit" name="submit_situacao" value="Atualizar">';
					echo '</form>';
				*/
				$candidato_redacao = $info["matricula"];
				$sql_redacao = "SELECT * FROM notas_redacao where matricula = '$candidato_redacao'";
				$result_redacao = mysql_query($sql_redacao)
					or die ( 'Não foi possível obter a nota de redacao.' );
				$info_redacao = mysql_fetch_array($result_redacao);
				echo '<input type="text" name="nota_redacao['.$interno_redacao.']" size="6" maxlength="5" value="'. $info_redacao["redacao"] .'">';
				echo '</td>';
				echo '<td align="center">';
					//echo '<form action="processo_seletivo.php" method="post">';
					$situacao = $info["situacao"];
					if ($situacao == 0) {
						echo '<font color="red" face="verdana" size="2">Desclassificado</font>';
					}
					if ($situacao == 1) {
						echo '<font color="#339900" face="verdana" size="2">Classificado</font>';
					}
					if ($situacao == 2) {
						echo '<font color="red" face="verdana" size="2">Desistente</font>';
					}
					if ($situacao == 3) {
						echo '<font color="red" face="verdana" size="2">Excedente</font>';
					}
					if ($situacao == 4) {
						echo '<font color="blue" face="verdana" size="2">Matriculado</font>';
					}
					echo '<br>';
					// tipo = 1 --> altera situacao
					// tipo = 2 --> altera redacao
						// situacao
						echo '<input type="text" name="situacao['.$interno_redacao.']" size="2" maxlength="1" value="'. $info["situacao"] .'">';
						/*echo '<input type="text" name="sit_novo" size="2" maxlength="1" value="'. $situacao .'">';
						echo '<input type="hidden" name="cod_interno" value="' . $info["codigo"] .'">';
						echo '<input type="hidden" name="curso" value="' . $curso .'">';
						echo '<input type="hidden" name="tipo" value="1">';
						echo '&nbsp;&nbsp;<input type="submit" name="submit_situacao" value="Atualizar">';
					echo '</form>';
					*/
				echo '</td>';
			echo '</tr>';
			echo '<input type="hidden" name="matricula['.$interno_redacao.']" value="'.$info["matricula"].'">';
			$odon++;
			$interno_redacao++;
		}
		echo '<tr>';
			echo '<td>';
				echo '&nbsp;';
			echo '</td>';
			echo '<td>';
				echo '&nbsp;';
			echo '</td>';
			echo '<td>';
				echo '&nbsp;';
			echo '</td>';
			echo '<td colspan="2">';
				echo '<input type="hidden" name="cod_interno" value="' . $info["codigo"] .'">';
				echo '<input type="hidden" name="curso" value="' . $curso .'">';
				echo '<div align="center"><input type="submit" name="submit_situacao" value="A T U A L I Z A R"></div>';
				echo '<input type="hidden" name="interno_redacao" value="' . ($interno_redacao - 1).'">';
				echo '<input type="hidden" name="total_parcial" value="' . $info["total"].'">';
			echo '</td>';
		echo '</tr>';
		echo '</form>';
		echo '</table>';
		
	}
}
?>
<br>
<br>
&nbsp;
</body>
</html>
